#
# spec file for package xtacy (Version 1.14)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xtacy
Copyright:    GNU
Group:        X11/Amusements
Provides:     Xtacy
Autoreqprov:  on
Version:      1.14
Release:      228
Summary:      Psychedelic animation program
URL:          http://www.gweep.net/~jer/xtacy.html		
Source:       http://www.ultranet.com/~jjohnson/xtacy114.tar.gz
Patch:        xtacy114.dif
BuildRoot:    /var/tmp/%{name}-BUILD

%description
This is a program similar to fractint. It may not contain as many
mathematical functions, but it is command-line oriented and may be run
as a root animation, in case your CPU load is too low :-)

Authors:
--------
    Jer Johnson <mpython@gnu.ai.mit.edu>

SuSE series: fun

%prep
%setup -n Xtacy
%patch

%build
xmkmf -a
make

%install
make install DESTDIR=${RPM_BUILD_ROOT}
make install.man DESTDIR=${RPM_BUILD_ROOT} MANSUFFIX=1
install -m 644 TkXtacy ${RPM_BUILD_ROOT}/usr/X11R6/bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/X11R6/bin/xtacy
%attr(755,-,-) /usr/X11R6/bin/TkXtacy
%doc Xtacy.doc Whatsnew.113 Whatsnew.114

%changelog -n xtacy
* Tue Apr 25 2000 - smid@suse.cz
- buildroot added
- makefile linux removed
- upgrade to 115
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Oct 17 1997 - max@suse.de
- Fixed trippy.h to work with newer linker
* Mon Oct 13 1997 - max@suse.de
- prepared for autobuild
